JavaBuildFileWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaBuildFileWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaBuildFileWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaBuildFileWriter

All Implemented Interfaces:
  Generator

public class JavaBuildFileWriter
extends JavaWriter

This is Wsdl2java's build file Writer. It writes the build.xml file. The build.xml file is a ant build file. After run the WSDL2Java and filling the implementation the user just have to cd to the out dir and type and "ant" (of course you must have ant installed). Then the ant will genarate a jar file which named after the wsdl file you used for WSDL2Java. (named after wsdl file ??? I do not get anything better .. the wsdl file may have more than one service ect ... so we can use them.)

This build file work on the where it is created ... User can not move the genarated code to another mechine and try to build. (class path is broken). But of cource user can move genarated build file at his will.

deploy the webservice using the AdminClient and drop the jar to servlet Container. We might even add another task to deploy the WS as well.

This feature can be on and off using the -B option default is off

Author:
  Srinath Perera(hemapani@opensource.lk)

Field Summary
`protected javax.wsdl.Definition` | `definition`
`protected SymbolTable` | `symbolTable` Field symbolTable

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`JavaBuildFileWriter(Emitter emitter, javax.wsdl.Definition definition, SymbolTable symbolTable)` Constructor

Method Summary
`void` | `generate()` Generate a file.
`protected java.lang.String` | `getFileName()` This method must be implemented by a subclass.
`protected void` | `writeFileBody(java.io.PrintWriter out)` This method must be implemented by a subclass.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, registerFile, verboseMessage, writeComment, writeComment, writeFileFooter, writeFileHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### definition

    protected javax.wsdl.Definition definition

### symbolTable

    protected SymbolTable symbolTable

  Field symbolTable

Constructor Detail

### JavaBuildFileWriter

    public JavaBuildFileWriter(Emitter emitter,
                               javax.wsdl.Definition definition,
                               SymbolTable symbolTable)

  Constructor

Method Detail

### getFileName

    protected java.lang.String getFileName()

  Description copied from class: `JavaWriter`
  This method must be implemented by a subclass. It returns the fully-qualified name of the file to be generated.

  Specified by:
    `getFileName` in class `JavaWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter out)
                          throws java.io.IOException

  Description copied from class: `JavaWriter`
  This method must be implemented by a subclass. This is where the body of a file is generated.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### generate

    public void generate()
                  throws java.io.IOException

  Description copied from class: `JavaWriter`
  Generate a file.

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `JavaWriter`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.